SKILL(1)

NOM
skill, snice - Envoyer un signal ou rendre compte de l'état d'un processus

SYNOPSIS
skill [signal] [options] expression
snice [nouvelle priorité] [options] expression

DESCRIPTION
These tools are obsolete and unportable. The command syntax is poorly defined. Consider using the killall, pkill, and pgrep commands instead.

The default signal for skill is TERM. Use -l or -L to list available signals. Particularly useful signals include HUP, INT, KILL, STOP, CONT, and 0. Alternate signals may be specified in three ways: -9 -SIGKILL -KILL.

The default priority for snice is +4. Priority numbers range from +20 (slowest) to -20 (fastest). Negative priority numbers are restricted to administrative users.

OPTIONS

-f, --fast
    Mode rapide. Cette option n'a pas été implémentée.

-i, --interactive
    Mode interactif. Chaque action devra être validée.

-l, --list
    Afficher tous les noms de signaux.

-L, --table
    Afficher tous les noms de signaux en tableau bien présenté.

-n, --no-action
    Pas d'action. Réaliser une simulation des événements qui auraient lieu mais sans vraiment modifier le système.

-v, --verbose
    Bavard. Expliquer ce qui est en train de se faire.

-w, --warnings
    Alertes activées. Cette option n'a pas été implémentée.

-h, --help
    Afficher l'aide et quitter.

-V, --version
    Afficher les informations de version.

OPTIONS DE SÉLECTION DES PROCESSUS
Les critères de sélection peuvent être : terminal, nom d'utilisateur, identifiant de processus, commande. Les options ci-dessous peuvent être utilisées pour s'assurer d'une interprétation correcte.

-t, --tty tty
    tty est un terminal (tty ou pty).

-u, --user utilisateur
    utilisateur est un nom d'utilisateur.

-p, --pid PID
    PID est un numéro d'identifiant de processus.

-c, --command commande
    commande est un nom de commande.

--ns PID
    Sélectionner les processus qui appartiennent aux mêmes espaces de nommage que PID.

--nslist ns,...
    list which namespaces will be considered for the --ns option. Available namespaces: ipc, mnt, net, pid, user, uts.

SIGNAUX
Le comportement du signal est expliqué dans la page de manuel signal(7).

EXEMPLES

snice -c seti -c crack +7
    +Slow down seti and crack commands.

skill -KILL -t /dev/pts/*
    Tuer les utilisateurs sur les périphériques PTY.

skill -STOP -u viro -u lm -u davem
    Suspendre les trois utilisateurs en question.

VOIR AUSSI
kill(1), kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7)

STANDARDS
Aucune norme ne s'applique.

AUTEUR
Albert Cahalan albert@users.sf.net a écrit skill et snice en 1999 en remplacement d'une version non libre.

BOGUES
Signalez les bogues à <procps@freelists.org>